free_irq
Prev | Chapter 8. Public Functions Provided | Next

## Name

free_irq — free an interrupt

## Synopsis

`void free_irq (` | unsigned int | irq,
| void * | dev_id`)`;

## Arguments

`irq`

  Interrupt line to free

`dev_id`

  Device identity to free

## Description

Remove an interrupt handler. The handler is removed and if the interrupt line is no longer in use by any driver it is disabled. On a shared IRQ the caller must ensure the interrupt is disabled on the card it drives before calling this function. The function does not return until any executing interrupts for this IRQ have completed.

This function must not be called from interrupt context.

Prev | Up | Next
set_irq_wake | Home | request_irq